Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.util
Class ImageFactory

    java.lang.Object
      |
      +--com.vistech.util.ImageFactory

public class ImageFactory
extends java.lang.Object

Constructor Summary
`ImageFactory()`
`ImageFactory(int width, int height, int depth, short[] data)`

Method Summary
`static java.awt.image.BufferedImage` | `convertPackedToInterleaved(java.awt.image.BufferedImage img)`
`static java.awt.image.BufferedImage` | `createBandedImage(int imageWidth, int imageHeight, int imageDepth, short[][] data)`
`static java.awt.image.BufferedImage` | `createBandedRGBImage(int imageWidth, int imageHeight, int imageDepth, short[][] data, boolean hasAlpha)`
`static java.awt.image.BufferedImage` | `createGrayscaleBar(int wid, int ht, int maxvalue)`
`static java.awt.image.BufferedImage` | `createGrayscaleImage(int imageWidth, int imageHeight, int imageDepth, short[] data)`
`java.awt.image.BufferedImage` | `createImage()`
`static java.awt.image.BufferedImage` | `createInterleavedRGBImage(int imageWidth, int imageHeight, int imageDepth, short[] data, boolean hasAlpha)`
`static java.awt.image.BufferedImage` | `createRandomBandedImage(int wid, int ht)`
`static java.awt.image.BufferedImage` | `createRandomInterleavedImage(int wid, int ht, boolean hasAlpha)`
`java.awt.image.BufferedImage` | `getGrayscaleImage()`
`static void` | `main(java.lang.String[] args)`
`void` | `setData(short[] data)`
`void` | `setImageDepth(int depth)`
`void` | `setImageDimension(int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageFactory

    public ImageFactory()

### ImageFactory

    public ImageFactory(int width,
                        int height,
                        int depth,
                        short[] data)

Method Detail

### setImageDimension

    public void setImageDimension(int width,
                                  int height)

### setImageDepth

    public void setImageDepth(int depth)

### setData

    public void setData(short[] data)

### getGrayscaleImage

    public java.awt.image.BufferedImage getGrayscaleImage()

### createImage

    public java.awt.image.BufferedImage createImage()

### createGrayscaleImage

    public static java.awt.image.BufferedImage createGrayscaleImage(int imageWidth,
                                                                    int imageHeight,
                                                                    int imageDepth,
                                                                    short[] data)

### createBandedImage

    public static java.awt.image.BufferedImage createBandedImage(int imageWidth,
                                                                 int imageHeight,
                                                                 int imageDepth,
                                                                 short[][] data)

### createInterleavedRGBImage

    public static java.awt.image.BufferedImage createInterleavedRGBImage(int imageWidth,
                                                                         int imageHeight,
                                                                         int imageDepth,
                                                                         short[] data,
                                                                         boolean hasAlpha)

### createRandomInterleavedImage

    public static java.awt.image.BufferedImage createRandomInterleavedImage(int wid,
                                                                            int ht,
                                                                            boolean hasAlpha)

### createBandedRGBImage

    public static java.awt.image.BufferedImage createBandedRGBImage(int imageWidth,
                                                                    int imageHeight,
                                                                    int imageDepth,
                                                                    short[][] data,
                                                                    boolean hasAlpha)

### createRandomBandedImage

    public static java.awt.image.BufferedImage createRandomBandedImage(int wid,
                                                                       int ht)

### createGrayscaleBar

    public static java.awt.image.BufferedImage createGrayscaleBar(int wid,
                                                                  int ht,
                                                                  int maxvalue)

### convertPackedToInterleaved

    public static java.awt.image.BufferedImage convertPackedToInterleaved(java.awt.image.BufferedImage img)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD